> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish a Shared Pipeline Artifact

> Publishes a shared pipeline artifact as a multipart upload. The sharedPipelineIdPrefix identifies the shared pipeline group.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml post /v1/shared-pipelines/artifacts
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/shared-pipelines/artifacts:
    post:
      tags:
        - Shared Pipeline Artifacts
      summary: Publish a Shared Pipeline Artifact
      description: >-
        Publishes a shared pipeline artifact as a multipart upload. The
        sharedPipelineIdPrefix identifies the shared pipeline group.
      operationId: publishSharedArtifact
      parameters:
        - in: header
          name: content-type
          required: true
          schema:
            type: string
        - in: header
          name: sharedPipelineIdPrefix
          required: true
          schema:
            type: string
        - in: header
          name: versionName
          required: true
          schema:
            type: string
        - in: header
          name: commitHash
          required: false
          schema:
            type: string
        - in: header
          name: branch
          required: false
          schema:
            type: string
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublishSharedPipelineResponse'
          description: Shared pipeline artifact published successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid sharedPipelineIdPrefix format or missing required headers
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Missing or invalid authentication token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Insufficient permissions to publish shared pipeline artifacts
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Resource not found
        '409':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Artifact version already exists for this sharedPipelineIdPrefix
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    PublishSharedPipelineResponse:
      type: object
      properties:
        ignoredResources:
          type: array
          description: >-
            List of resources that were excluded from the published shared
            pipeline and the reasons they were ignored
          items:
            $ref: '#/components/schemas/IgnoredAsset'
        versionName:
          type: string
          description: The version name of the shared pipeline artifact
          example: 1.0.0
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    IgnoredAsset:
      type: object
      properties:
        name:
          type: string
          description: Name of the asset that has been ignored
        reason:
          type: string
          description: Reason the asset was ignored
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````